Bug 1616274 - version 0.9.10 is available (0.4.11 is packaged)
Summary: version 0.9.10 is available (0.4.11 is packaged)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rapid-photo-downloader
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-15 13:25 UTC by Fabio Valentini
Modified: 2019-04-13 00:02 UTC (History)
3 users (show)

Fixed In Version: rapid-photo-downloader-0.9.13-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-13 00:02:55 UTC


Attachments (Terms of Use)

Description Fabio Valentini 2018-08-15 13:25:01 UTC
Latest Release announcement:
https://launchpad.net/rapid/+announcement/15033

Comment 1 Fabio Valentini 2018-09-09 08:39:23 UTC
Fabian, please respond - otherwise I'll start the non-responsive maintainer process in a week:

https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers#Outline

Comment 2 Fabian Affolter 2018-09-09 14:14:32 UTC
I assume that you are not a Fedora contributor because this is not the way how it works. Let me enlighten you (ok, you seem to have found at least the Wiki page the non-responsive maintainer process):

1. The Fedora Project is an Open Source project where a lot of resources are coming from Community members. Those people are working on various parts of the project in their spare time.

2. Like for other packager maintainers are more important packages on my to-do list than one that broke because somebody didn't made their home work and remove a dependency without notification or wants an update to the latest release. 

3. Threaten me with non-responsive maintainer process is just ridiculous. I'm very curious about your arguments because I have hear them all over the last decade of doing package maintenance in Fedora.

4. There are new dependencies which are are not available in the Fedora Package Repository. Without those dependencies and update will never happen.

Please have a look at https://whatcanidoforfedora.org/ to see what you can do for Fedora.

Comment 3 Fabio Valentini 2018-09-09 15:04:39 UTC
You presume incorrectly. I am a packager (responsible for ~150 packages), provenpackager, and member of the FPC - so you don't need to "enlighten" me about anything. But that's beside the point.

I see now that you're working on the package in rawhide, and I did not check for that when I asked for a response today - I'm sorry for that.

Comment 4 Dmitry Burstein 2018-11-18 14:30:41 UTC
Version 0.9.13 has been released lately. I've just installed it with the provided install.py script, and it's working perfectly well, so may be the dependencies have been resolved?

Comment 5 Fabian Affolter 2018-11-18 23:17:21 UTC
The install.py script is mixing different sources. Thus if you install the needed dependencies from PyPI you may be able to use the tool. This may work for a while but the chances are high that at one point the installation get pretty messy and other parts stop working.

Comment 6 Fedora Update System 2019-03-27 13:31:21 UTC
rapid-photo-downloader-0.9.13-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-70b5e5ac6d

Comment 7 Fedora Update System 2019-03-27 18:18:22 UTC
rapid-photo-downloader-0.9.13-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-70b5e5ac6d

Comment 8 Dmitry Burstein 2019-03-28 17:18:39 UTC
Thanks! Any plans for f29?

Comment 9 Fedora Update System 2019-04-13 00:02:55 UTC
rapid-photo-downloader-0.9.13-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.